/*
     This file is part of GNUnet.
     (C) 2001, 2002 Christian Grothoff (and other contributing authors)

     GNUnet is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published
     by the Free Software Foundation; either version 2, or (at your
     option) any later version.

     GNUnet is distributed in the hope that it will be useful, but
     WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
     General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with GNUnet; see the file COPYING.  If not, write to the
     Free Software Foundation, Inc., 59 Temple Place - Suite 330,
     Boston, MA 02111-1307, USA.
*/

/**
 * AFS CORE. This is the code that is plugged
 * into the GNUnet core to enable AFS.
 *
 * @author Christian Grothoff
 * @file applications/afs/protocol/afs.c
 **/
#ifndef AFS_H
#define AFS_H

#include "config.h"
#include "applications/afs/protocol/afs.h"
#include "applications/afs/util/bloomfilter.h"
#include "server/coreapi.h"

extern CoreAPIForApplication * coreAPI;
extern Bloomfilter * superBloomFilter;
extern Bloomfilter * singleBloomFilter;

/**
 * Initialize the AFS module. This method name must match
 * the library name (libgnunet_XXX => initialize_XXX).
 * @return SYSERR on errors
 **/
int initialize_afs_protocol(CoreAPIForApplication * capi);

void done_afs_protocol();

/* end of afs.h */
#endif
