/*
     This file is part of GNUnet.
     (C) 2001, 2002 Christian Grothoff (and other contributing authors)

     GNUnet is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published
     by the Free Software Foundation; either version 2, or (at your
     option) any later version.

     GNUnet is distributed in the hope that it will be useful, but
     WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
     General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with GNUnet; see the file COPYING.  If not, write to the
     Free Software Foundation, Inc., 59 Temple Place - Suite 330,
     Boston, MA 02111-1307, USA.
*/
/**
 * The query manager is responsible for queueing queries
 *
 * @author Christian Grothoff
 * @file include/applications/afs/protocol/querymanager.h
 **/

#ifndef QUERYMANAGER_H
#define QUERYMANAGER_H

#include "config.h"
#include "server/coreapi.h"
#include "applications/afs/protocol/messages.h"

/**
 * Initialize the query management.
 **/
int initQueryManager();

void doneQueryManager();

/**
 * Take a query and forward it to the appropriate
 * number of nodes (depending on load, queue, etc).
 **/
void forwardQuery(AFS_p2p_QUERY * msg);

/**
 * We got content back from a node, remember that!
 **/
void noticeContentReceived(const HostIdentity * sender);

#endif
