/*
     This file is part of GNUnet

     GNUnet is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published
     by the Free Software Foundation; either version 2, or (at your
     option) any later version.

     GNUnet is distributed in the hope that it will be useful, but
     WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
     General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with GNUnet; see the file COPYING.  If not, write to the
     Free Software Foundation, Inc., 59 Temple Place - Suite 330,
     Boston, MA 02111-1307, USA.
*/
/**
 * Support for loading dynamic libraries.
 * @file include/server/dso.h
 * @author Christian Grothoff
 **/

#ifndef DSO_H
#define DSO_H

#include "config.h"

void * loadDynamicLibrary(char * libprefix,
			  char * dsoname);

void * bindDynamicMethod(void * libhandle,
			 char * methodprefix,
			 char * dsoname);

void unloadDynamicLibrary(void * libhandle);

#endif 
/* end of dso.h */
